Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng
Class ExpandableSection

    java.lang.Object
      nextapp.echo2.app.Component
          echopointng.ComponentEx
              echopointng.AbleComponent
                  echopointng.ExpandableSection

All Implemented Interfaces:
  AccessKeyable, Attributeable, Borderable, Delegateable, Expandable, Heightable, Insetable, MouseCursorable, Sizeable, ToolTipable, Widthable, java.io.Serializable, RenderIdSupport

    public class ExpandableSection

extends AbleComponent
implements Expandable

`ExpandableSection` is a container component that 'can expand' to reveal its child component content.

An `ExpandableSection` has two main parts.

- The `TitleBar` area, in which users can click to toggle the expansion of content
- The content area - consists of all the child components of the `ExpandableSection`, layed out one after the other.

See Also:
  Serialized Form

Field Summary
`static Style` | `DEFAULT_STYLE`
`static java.lang.String` | `PROPERTY_TITLEBAR`

Fields inherited from class echopointng.ComponentEx
`PROPERTY_HIDDEN`

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Fields inherited from interface echopointng.able.Expandable
`EXPANDED_CHANGED_PROPERTY, PROPERTY_EXPANSION_GROUP, PROPERTY_EXPANSION_MODEL`

Fields inherited from interface echopointng.able.AccessKeyable
`PROPERTY_ACCESS_KEY`

Fields inherited from interface echopointng.able.Borderable
`PROPERTY_BORDER`

Fields inherited from interface echopointng.able.MouseCursorable
`CURSOR_AUTO, CURSOR_CROSSHAIR, CURSOR_CUSTOM_URI, CURSOR_DEFAULT, CURSOR_E_RESIZE, CURSOR_HELP, CURSOR_MOVE, CURSOR_N_RESIZE, CURSOR_NE_RESIZE, CURSOR_NW_RESIZE, CURSOR_POINTER, CURSOR_S_RESIZE, CURSOR_SE_RESIZE, CURSOR_SW_RESIZE, CURSOR_TEXT, CURSOR_W_RESIZE, CURSOR_WAIT, PROPERTY_MOUSE_CURSOR, PROPERTY_MOUSE_CURSOR_URI`

Fields inherited from interface echopointng.able.Insetable
`DEFAULT_INSETS, DEFAULT_OUTSETS, PROPERTY_INSETS, PROPERTY_OUTSETS`

Fields inherited from interface echopointng.able.Widthable
`PROPERTY_WIDTH`

Fields inherited from interface echopointng.able.Heightable
`PROPERTY_HEIGHT`

Fields inherited from interface echopointng.able.ToolTipable
`PROPERTY_TOOL_TIP_TEXT`

Constructor Summary
`ExpandableSection()` Constructs a `ExpandableSection` with no content.
`ExpandableSection(java.lang.String title)` Constructs a `ExpandableSection` with no content and the specified title
`ExpandableSection(TitleBar title)` Constructs a `ExpandableSection` with no content and the specified `TitleBar` as the title.

Method Summary
`ExpansionGroup` | `getExpansionGroup()`
`ExpansionModel` | `getExpansionModel()`
`TitleBar` | `getTitleBar()`
`boolean` | `isExpanded()`
`void` | `setExpanded(boolean isExpanded)` Sets whether the `Expandable` is expanded or not
`void` | `setExpansionGroup(ExpansionGroup newExpansionGroup)` Sets the `ExpansionGroup` used by the `Expandable`.
`void` | `setExpansionModel(ExpansionModel newExpansionModel)` Sets the `ExpansionModel` model used by the `Expandable`.
`void` | `setTitleBar(TitleBar newValue)` Sets the TitleBar used at the top of the ExpandableSection
`java.lang.String` | `toString()`
`void` | `validate()` A life-cycle method invoked before the component is rendered to ensure it is in a valid state.

Methods inherited from class echopointng.AbleComponent
`getAccessKey, getBorder, getHeight, getInsets, getMouseCursor, getMouseCursorURI, getOutsets, getToolTipText, getWidth, setAccessKey, setBorder, setHeight, setInsets, setMouseCursor, setMouseCursorURI, setOutsets, setToolTipText, setWidth`

Methods inherited from class echopointng.ComponentEx
`getAttribute, getAttributeNames, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, isHidden, setAttribute, setHidden, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty`

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, dispose, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, init, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isValidChild, isValidParent, isVisible, processInput, remove, remove, removeAll, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setStyle, setStyleName, setVisible, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Field Detail

### PROPERTY_TITLEBAR

    public static final java.lang.String PROPERTY_TITLEBAR

See Also:
  Constant Field Values

### DEFAULT_STYLE

    public static final Style DEFAULT_STYLE

Constructor Detail

### ExpandableSection

    public ExpandableSection()

  Constructs a `ExpandableSection` with no content.

### ExpandableSection

    public ExpandableSection(java.lang.String title)

  Constructs a `ExpandableSection` with no content and the specified title

### ExpandableSection

    public ExpandableSection(TitleBar title)

  Constructs a `ExpandableSection` with no content and the specified `TitleBar` as the title.

Method Detail

### getTitleBar

    public TitleBar getTitleBar()

  Returns:
    the TitleBar used at the top of the ExpandableSection

### setTitleBar

    public void setTitleBar(TitleBar newValue)

  Sets the TitleBar used at the top of the ExpandableSection

### validate

    public void validate()

  Description copied from class: `Component`
  A life-cycle method invoked before the component is rendered to ensure it is in a valid state. Default implementation is empty. Overriding implementations should ensure to invoke `super.validate()` out of convention.

  Overrides:
    `validate` in class `Component`
  See Also:
    `Component.validate()`

### getExpansionGroup

    public ExpansionGroup getExpansionGroup()

  Specified by:
    `getExpansionGroup` in interface `Expandable`
  Returns:
    the `ExpansionGroup` of the `Expandable`.
  See Also:
    `Expandable.getExpansionGroup()`

### getExpansionModel

    public ExpansionModel getExpansionModel()

  Specified by:
    `getExpansionModel` in interface `Expandable`
  Returns:
    the `ExpansionModel` model of the `Expandable`.
  See Also:
    `Expandable.getExpansionModel()`

### isExpanded

    public boolean isExpanded()

  Specified by:
    `isExpanded` in interface `Expandable`
  Returns:
    whether `Expandable` is expanded or not
  See Also:
    `Expandable.isExpanded()`

### setExpanded

    public void setExpanded(boolean isExpanded)

  Description copied from interface: `Expandable`
  Sets whether the `Expandable` is expanded or not

  Specified by:
    `setExpanded` in interface `Expandable`
  See Also:
    `Expandable.setExpanded(boolean)`

### setExpansionGroup

    public void setExpansionGroup(ExpansionGroup newExpansionGroup)

  Description copied from interface: `Expandable`
  Sets the `ExpansionGroup` used by the `Expandable`.

  Specified by:
    `setExpansionGroup` in interface `Expandable`
  See Also:
    `Expandable.setExpansionGroup(echopointng.model.ExpansionGroup)`

### setExpansionModel

    public void setExpansionModel(ExpansionModel newExpansionModel)

  Description copied from interface: `Expandable`
  Sets the `ExpansionModel` model used by the `Expandable`.

  Specified by:
    `setExpansionModel` in interface `Expandable`
  See Also:
    `Expandable.setExpansionModel(echopointng.model.ExpansionModel)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD